      subroutine def_rst (ncid, total_rec, ierr)      


      use Agrif_Util
#include "Param_BeforeCall_def_rst.h"
      integer(4) :: ncid
      integer(4) :: total_rec
      integer(4) :: ierr
      

        call Sub_Loop_def_rst(ncid,total_rec,ierr, Agrif_tabvars_i(47)%i
     &array0, Agrif_tabvars_i(59)%iarray0, Agrif_tabvars_i(58)%iarray0, 
     &Agrif_tabvars_i(57)%iarray1, Agrif_tabvars_i(56)%iarray0, Agrif_ta
     &bvars_i(55)%iarray0, Agrif_tabvars_i(54)%iarray0, Agrif_tabvars_i(
     &53)%iarray0, Agrif_tabvars_i(52)%iarray0, Agrif_tabvars_i(50)%iarr
     &ay0, Agrif_tabvars_i(49)%iarray0, Agrif_tabvars_c(18)%carray2, Agr
     &if_tabvars_i(51)%iarray0, Agrif_tabvars_i(27)%iarray0, Agrif_tabva
     &rs_i(26)%iarray0, Agrif_tabvars_i(25)%iarray0, Agrif_tabvars_i(24)
     &%iarray0, Agrif_tabvars_i(176)%iarray0, Agrif_tabvars_l(4)%larray0
     &, Agrif_tabvars_i(48)%iarray0, Agrif_tabvars_c(9)%carray0)

      end


#include "Sub_Loop_def_rst.h"
